## webmmux

webmmux

## Types and Values

struct | GstWebMMux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstMatroskaMux
                        ╰── GstWebMMux

## Implemented Interfaces

GstWebMMux implements GstTagSetter and GstTocSetter.

## Description

webmmux muxes VP8 video and Vorbis audio streams into a WebM file.

### Example launch line

    1
    2
    3
    4

    gst-launch-0.10 webmmux name=mux ! filesink location=newfile.webm         \
      uridecodebin uri=file:///path/to/somefile.ogv name=demux                \
      demux. ! videoconvert ! vp8enc ! queue ! mux.video_0    \
      demux. ! progressreport ! audioconvert ! audiorate ! vorbisenc ! queue ! mux.audio_0

This pipeline re-encodes a video file of any format into a WebM file.

    1
    2
    3

    gst-launch-0.10 webmmux name=mux ! filesink location=test.webm            \
      videotestsrc num-buffers=250 ! video/x-raw,framerate=25/1 ! videoconvert ! vp8enc ! queue ! mux.video_0 \
      audiotestsrc samplesperbuffer=44100 num-buffers=10 ! audio/x-raw,rate=44100 ! vorbisenc ! queue ! mux.audio_0

This pipeline muxes a test video and a sine wave into a WebM file.

## Synopsis

### Element Information

plugin | matroska
author | GStreamer maintainers <gstreamer-devel@lists.freedesktop.org>
class | Codec/Muxer

### Element Pads

name | audio_%u
direction | sink
presence | request
details | audio/x-vorbis, channels=(int)[ 1, 2147483647 ], rate=(int)[ 1, 2147483647 ]

name | subtitle_%u
direction | sink
presence | request
details | subtitle/x-kate
| text/x-raw, format=(string)utf8
| application/x-ssa
| application/x-ass
| application/x-usf
| subpicture/x-dvd
| application/x-subtitle-unknown

name | video_%u
direction | sink
presence | request
details | video/x-vp8, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-vp9, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/webm
| audio/webm

## Functions

## Types and Values

### struct GstWebMMux

    struct GstWebMMux;